Update source app
Update source app. Manage only sources owned by this token on the current tenant.
/api/appstore/manage/sources/:source_id/apps/:app_idParametry żądania
Wszystkie parametry mogą być przekazywane za pośrednictwem zapytania lub ciała
| Parametr | Rodzaj | Wymagane | Opis |
|---|---|---|---|
source_id | string | Wymagane | Source ID owned by this user on the current site Przykład: 12345678 |
app_id | integer | Wymagane | App ID within this source Przykład: 1 |
name | string | Opcjonalnie | App name, up to 100 characters Przykład: 演示应用 |
download_url | string | Opcjonalnie | HTTP(S) URL for downloading the app Przykład: https://example.com/app.ipa |
version | string | Opcjonalnie | App version Przykład: 1.0 |
type | string | Opcjonalnie | App type |
version_desc | string | Opcjonalnie | Release notes |
icon_url | string | Opcjonalnie | HTTP(S) URL of the app icon |
tint_color | string | Opcjonalnie | Theme color |
size | string | Opcjonalnie | File size |
is_lanzou | integer | Opcjonalnie | LanZou Cloud link: 0/1 |
is_locked | integer | Opcjonalnie | Requires a license key to unlock: 0/1 |
ios_version_limit | string | Opcjonalnie | iOS version restriction |
weigh | integer | Opcjonalnie | Sort weight |
status | integer | Opcjonalnie | Visibility: 0=hidden, 1=visible; publish drafts before editing |
Odpowiedź
| Parametr | Rodzaj | Wymagane | Opis |
|---|---|---|---|
code | integer | Wymagane | 1 indicates success; otherwise a token, validation or source error code Przykład: 1 |
msg | string | Wymagane | Localized result message Przykład: 获取成功 |
time | integer | Wymagane | Unix timestamp in seconds |
data | object | Wymagane | Allowlisted fields visible to the source owner |
Kod błędu
101140001Język odpowiedzi
Dostosuj język odpowiedzi API do nagłówka X- Lang. Poniższe przykłady kodów automatycznie korzystają z aktualnego języka strony.
X-Lang: plzh, en, zh-TW, vi, ar, es, ruObsługiwane jest również Accept- Language; X- Lang ma pierwszeństwo. Nieobsługiwane języki podążają za zapasami języka strony.
Przykłady kodów
curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678/apps/1" \
-H "X-Lang: pl" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "演示应用",
"download_url": "https://example.com/app.ipa",
"version": "1.0",
"type": "example_type",
"version_desc": "example_version_desc",
"icon_url": "example_icon_url",
"tint_color": "example_tint_color",
"size": "example_size",
"is_lanzou": 1,
"is_locked": 1,
"ios_version_limit": "example_ios_version_limit",
"weigh": 1,
"status": 1
}'Uwagi
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
Spróbuj w konsoli
Wypełnij poniższe parametry i wyślij wniosek o przetestowanie. Żądania są kierowane tylko do API tej witryny; adres URL jest zablokowany i nie może być zmieniony, a obecne pliki cookie logowania są włączone.
https://testypro.iwai.cc/api/appstore/manage/sources/12345678/apps/1Zamknięte na tej stronieSource ID owned by this user on the current site
App ID within this source
App name, up to 100 characters
HTTP(S) URL for downloading the app
App version
App type
Release notes
HTTP(S) URL of the app icon
Theme color
File size
LanZou Cloud link: 0/1
Requires a license key to unlock: 0/1
iOS version restriction
Sort weight
Visibility: 0=hidden, 1=visible; publish drafts before editing